/*
 * Copyright (C) 2008 The Trustees of Columbia University in the City of New York. 
 * All rights reserved.
 *
 * See the file LICENSE included in this distribution for details.
 */

#ifndef _BAMBOO_DIST_H
#define _BAMBOO_DIST_H

#include "distance.h"


class BambooDist : public Distance {

 public:
  BambooDist();
  virtual ~BambooDist();
  
  virtual int32 getKeyAt(uint32 iPos, BigInt& objKey);

  //distance is difference of 2 keys
  int32 getDistance(BigInt& src, BigInt& dst, BigInt& dist);
};

#endif
